{{!-- Misc Combat Header --}}
<div>
  <table>
    <thead>
      <tr>
        <th class="attribute bab" data-attribute="bab">
          <a class="rollable"><i class="fas fa-dice"></i><span>{{localize "PF1.BABAbbr"}}</span></a>
        </th>
        <th class="attribute cmb" data-attribute="cmb">
          <a class="rollable"><i class="fas fa-dice"></i><span>{{localize "PF1.CMBAbbr"}}</span></a>
        </th>
        <th class="attribute attack melee" data-attribute="melee">
          <a class="rollable"><i class="fas fa-dice"></i><span>{{localize "PF1.Melee"}}</span></a>
        </th>
        <th class="attribute attack ranged" data-attribute="ranged">
          <a class="rollable"><i class="fas fa-dice"></i><span>{{localize "PF1.Ranged"}}</span></a>
        </th>
        <th class="attribute initiative" data-attribute="initiative">
          <a class="rollable"><i class="fas fa-dice"></i><span>{{localize "PF1.Initiative"}}</span></a>
        </th>
      </tr>
    </thead>

    <tbody>
      <tr>
        <td class="bab tooltip">
          <span class="tooltipcontent">
            @attributes.bab.total : {{system.attributes.bab.total}}
            {{#if sourceDetails.system.attributes.bab.total.length}}
            <br/><br/>{{localize "PF1.FromSources"}}:<br/>
            {{#each sourceDetails.system.attributes.bab.total as |src|}}{{src.name}}: {{src.value}}<br/>{{/each}}
            {{/if}}
          </span>

          {{#if iteratives}}
          {{iteratives}}
          {{else}}
          {{numberFormat system.attributes.bab.total decimals=0 sign=true}}
          {{/if}}
        </td>

        <td class="cmb tooltip">
          {{> "systems/pf1/templates/actors/parts/actor-cmb.hbs"}}
        </td>

        <td class="generic-melee tooltip">
          <span class="tooltipcontent">
            …<br/>
            + @attributes.attack.shared : {{system.attributes.attack.shared}}<br/>
            + @attributes.attack.general : {{system.attributes.attack.general}}<br/>
            + @attributes.attack.melee : {{system.attributes.attack.melee}}<br/>
            + @abilities.{{system.attributes.attack.meleeAbility}}.mod : {{system.attributes.attack.meleeAttackMod}}<br/>
            <br/>{{localize "PF1.FromSources"}}<br/>
            {{#if sourceDetails.system.attributes.attack.shared.length}}
            {{#each sourceDetails.system.attributes.attack.shared as |src|}}{{src.name}}: {{src.value}}<br/>{{/each}}
            {{/if}}
            {{#if (ne @root.system.traits.size "med")}}{{localize "PF1.Size"}} : {{lookup @root.config.sizeMods @root.system.traits.size }}<br/>{{/if}}
            {{#if sourceDetails.system.attributes.attack.general.length}}
            {{#each sourceDetails.system.attributes.attack.general as |src|}}{{src.name}}: {{src.value}}<br/>{{/each}}
            {{/if}}
            {{#if sourceDetails.system.attributes.attack.melee.length}}
            {{#each sourceDetails.system.attributes.attack.melee as |src|}}{{src.name}}: {{src.value}}<br/>{{/each}}
            {{/if}}
          </span>
          {{numberFormat meleeAttack decimals=0 sign=true}}
        </td>

        <td class="generic-ranged tooltip">
          <span class="tooltipcontent">
            …<br/>
            + @attributes.attack.shared : {{system.attributes.attack.shared}}<br/>
            + @attributes.attack.general : {{system.attributes.attack.general}}<br/>
            + @attributes.attack.ranged : {{system.attributes.attack.ranged}}<br/>
            + @abilities.{{system.attributes.attack.rangedAbility}}.mod : {{system.attributes.attack.rangedAttackMod}}<br/>
            <br/>{{localize "PF1.FromSources"}}<br/>
            {{#if sourceDetails.system.attributes.attack.shared.length}}
            {{#each sourceDetails.system.attributes.attack.shared as |src|}}{{src.name}}: {{src.value}}<br/>{{/each}}
            {{/if}}
            {{#if (ne @root.system.traits.size "med")}}{{localize "PF1.Size"}} : {{lookup @root.config.sizeMods @root.system.traits.size }}<br/>{{/if}}
            {{#if sourceDetails.system.attributes.attack.general.length}}
            {{#each sourceDetails.system.attributes.attack.general as |src|}}{{src.name}}: {{src.value}}<br/>{{/each}}
            {{/if}}
            {{#if sourceDetails.system.attributes.attack.ranged.length}}
            {{#each sourceDetails.system.attributes.attack.ranged as |src|}}{{src.name}}: {{src.value}}<br/>{{/each}}
            {{/if}}
          </span>

          {{numberFormat rangedAttack decimals=0 sign=true}}
        </td>

        <td class="initiative tooltip">
          <span class="tooltipcontent">
            @attributes.init.total : {{system.attributes.init.total}}
            {{#if sourceDetails.system.attributes.init.total.length}}
            <br/><br/>{{localize "PF1.FromSources"}}:<br/>
            {{#each sourceDetails.system.attributes.init.total as |src|}}{{src.name}}: {{src.value}}<br/>{{/each}}
            {{/if}}

            {{> "systems/pf1/templates/actors/parts/actor-contextNotes.hbs" target="misc.init"}}
          </span>

          {{system.attributes.init.total}}
        </td>
      </tr>
    </tbody>
  </table>
</div>

<hr>

{{!-- Attack Filters --}}
<div class="inventory-filters flexrow">
  {{~> "systems/pf1/templates/internal/item-search.hbs" category="attacks"}}

  <ul class="filter-list flexrow" data-filter="attacks">
    {{#each sections as |section sid|}}
      <li class="filter-item" data-filter="type-{{sid}}">{{section.label}}</li>
    {{/each}}
  </ul>
</div>

{{!-- Attacks Header --}}
<div class="combat-attacks">
  <section class="attacks-body">
    <ol class="inventory-list">
    {{#each sections as |section sid|}}
    {{#unless section._hidden}}
      <ol class="item-list" data-type="attack" data-subtype="{{sid}}">
        <li class="inventory-header flexrow attacks-{{sid}}">
          <h3 class="item-name flexrow">{{section.label}}</h3>

          {{#if section.showTypes}}<div class="item-detail item-type"><i class="icon icon-magic-palm large" title="{{localize "PF1.Type"}}"></i></div>{{/if}}

          <div class="item-detail item-attacks">
            <label>{{localize "PF1.Attacks"}}</label>
          </div>

          <div class="item-detail item-damage">
              <label>{{localize "PF1.Damage"}}</label>
          </div>

          <div class="item-detail item-range">
              <label>{{localize "PF1.Range"}}</label>
          </div>

          <div class="item-detail item-actions"><i class="icon icon-gears large" title="{{localize "PF1.ActionPlural"}}"></i></div>

          <div class="item-detail item-uses"><i class="icon icon-battery-pack large" title="{{localize "PF1.ChargePlural"}}"></i></div>

          {{#if ../owner}}
          <div class="item-controls">
            {{#if section.canCreate}}
            <a class="item-control item-create" title="Create Item" {{#each section.dataset as |v k|}}data-{{k}}="{{v}}"{{/each}}>
              <i class="fas fa-plus"></i> {{localize "PF1.Add"}}
            </a>
            {{/if}}
          </div>
          {{/if}}
        </li>

        {{#each section.items as |item iid|}}
        <li class="item flexrow" data-item-id="{{item.id}}">
          <div class="item-name flexrow rollable">
            <div class="item-image" style='background-image: url("{{item.img}}")'></div>
            <h4>
              {{item.name~}}
            </h4>
          </div>

          {{#if section.showTypes}}
          <div class="item-detail item-type">
            <span>{{lookup ../../config.attackTypes item.attackType}}</span>
          </div>
          {{/if}}

          <div class="item-detail item-attacks tooltip">
            {{#if item.hasAttack}}
            <label>{{itemAttacks item @root.rollData max=3}}</label>
            <span class="tooltipcontent">
              {{#each item.document.attackArray~}}
                {{numberFormat this decimals=0 sign=true}}{{#unless @last}}/{{/unless}}
              {{~/each}}<br/>
              <br/>
              {{localize "PF1.Details"}}:<br/>
              {{#each item.document.attackSources}}
                {{this.label}} : {{this.value}}<br/>
              {{/each}}
            </span>
            {{/if}}
          </div>

          <div class="item-detail item-damage tooltip">
            {{#if item.hasDamage}}
              <label class="resolved-formula">{{actionDamage item.document.firstAction @root.rollData}}</label>
              <span class="tooltipcontent">
                {{actionDamage item.document.firstAction @root.rollData}}<br/>
                <br/>
                {{localize "PF1.Details"}}:<br/>
                {{#with item.document.firstAction}}
                  {{#each data.damage.parts as |pt ix|}}
                    {{pt.[0]}}{{#if pt.[1]}} [{{damageTypes pt.[1]}}]{{/if}}<br/>
                  {{/each}}
                  {{#if data.damage.nonCritParts}}
                    {{#each data.damage.nonCritParts as |pt|}}
                      {{pt.[0]}}{{#if pt.[1]}} [{{pt.[1]}}]{{/if}}<br/>
                    {{/each}}
                  {{/if}}
                  {{#if data.ability.damage}}
                    {{abilityMod data.ability.damage @root.rollData data.ability.damageMult}} [{{lookup @root.config.abilities data.ability.damage}}]<br/>
                  {{/if}}
                  {{#each allDamageSources}}
                    {{#if @first}}<br>{{/if}}
                    {{flavor}} : {{value}} [{{#if type}}{{type}}{{else}}{{lookup @root.config.bonusModifiers modifier}}{{/if}}]<br>
                  {{/each}}
                  {{#if (optionalConditionals item)}}
                    <br/>+ {{localize "PF1.Conditionals"}}<br/>
                  {{/if}}
                  {{#if damage.critParts}}
                    <br/>+ {{localize "PF1.CritDamageBonusFormula"}}<br/>
                  {{/if}}
                {{/with}}
              </span>
            {{/if}}
          </div>

          <div class="item-detail item-range tooltip">
            {{#if item.hasRange}}
            <label>{{itemRange item @root.rollData}}</label>
              {{#if (or (gt item.range.maxIncrements 1) (ne item.range.minUnits ""))}}
              <span class="tooltipcontent">
                {{localize "PF1.MaximumRangeIncrements"}}: {{item.range.maxIncrements}}<br>
                <br>
                {{localize "PF1.Range"}}:
                {{item.range.min}} {{distanceUnit "ft"}} – {{item.range.max}} {{distanceUnit item.range.units}}
              </span>
              {{/if}}
            {{/if}}
          </div>

          <div class="item-detail item-actions">
            <div class="item-attack tooltip">
              {{#if item.hasAction}}
              <span class="tooltipcontent">
                {{localize "PF1.PerformAttack"}}
              </span>
              <a class="item-control item-attack"><img class="icon" src="systems/pf1/icons/actions/gladius.svg"></a>
              {{/if}}
            </div>
          </div>

          <div class="item-detail item-uses flexrow {{#if item.isCharged}}tooltip{{/if}}">
            {{#if item.isCharged}}
            <span class="text-box value" data-wheel-step="1" data-dtype="Number">{{item.uses.value}}</span>
            <span class="sep"> / </span>
            <span class="text-box readonly">{{item.uses.max}}</span>
            <span class="tooltipcontent">
              @resources.{{item.tag}}.value : {{item.uses.value}}<br>
              @resources.{{item.tag}}.max : {{item.uses.max}}
            </span>
            {{/if}}
          </div>

          {{#if ../../owner}}
          <div class="item-controls">
            <a class="item-control item-edit" title="{{localize "PF1.EditItem"}}"><i class="fas fa-edit"></i></a>
            <a class="item-control item-duplicate" title="{{localize "PF1.DuplicateItem"}}"><i class="fas fa-copy"></i></a>
            <a class="item-control item-delete" title="{{localize "PF1.DeleteItem"}}"><i class="fas fa-trash"></i></a>
          </div>
          {{/if}}
        </li>
        {{/each}}
      </ol>
    {{/unless}}
    {{/each}}
    </ol>
  </section>
</div>

<hr>

{{!-- Defenses Header --}}
<div class="combat-defenses">
  <ul class="attributes flexrow">
    {{!-- Roll Defenses --}}
    <li class="generic-defenses flexrow" data-drag="defenses">
      <div class="rollable image-d20"></div>
      <h3>{{localize "PF1.Defenses"}}</h3>
    </li>

    {{!-- Natural Armor --}}
    <li class="natural-armor flexrow">
      <h3>{{localize "PF1.BuffTarACNatural"}}</h3>
      <span class="text-box direct" name="system.attributes.naturalAC" data-dtype="Number">{{system.attributes.naturalAC}}</span>
    </li>

    <li class="flexrow">
      <h3>{{localize "PF1.SpellResistance"}}</h3>
      <input class="formula" name="system.attributes.sr.formula" type="text" placeholder="{{localize "PF1.Formula"}}"
        value="{{#if system.attributes.sr.formula}}{{system.attributes.sr.formula}}{{/if}}"/>
    </li>
  </ul>

  {{> "systems/pf1/templates/actors/parts/actor-defenses_tables.hbs"}}

  <div class="attributes defense-notes flexcol scroll-primary" data-scroll-index="defense-notes">
    <div class="flexrow">
      <label><h3>{{localize "PF1.SaveNotes"}}</h3></label>
      <textarea class="context-text" name="system.attributes.saveNotes" placeholder="{{localize "PF1.SaveNotes"}}">{{system.attributes.saveNotes}}</textarea>
    </div>
    <hr>
    <div class="flexrow">
      <label><h3>{{localize "PF1.ACNotes"}}</h3></label>
      <textarea class="context-text" name="system.attributes.acNotes" placeholder="{{localize "PF1.ACNotes"}}">{{system.attributes.acNotes}}</textarea>
    </div>
    <hr>
    <div class="flexrow">
      <label><h3>{{localize "PF1.CMDNotes"}}</h3></label>
      <textarea class="context-text" name="system.attributes.cmdNotes" placeholder="{{localize "PF1.CMDNotes"}}">{{system.attributes.cmdNotes}}</textarea>
    </div>
    <hr>
    <div class="flexrow">
      <label><h3>{{localize "PF1.SpellResistanceNotes"}}</h3></label>
      <textarea class="context-text" name="system.attributes.srNotes" placeholder="{{localize "PF1.SpellResistanceNotes"}}">{{system.attributes.srNotes}}</textarea>
    </div>
    <hr>
  </div>
</div>
